> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmaddonid.md).

# Get-RDMAddOnId

### Synopsis

Récupère l'ID d'un module complémentaire spécifié par son nom. Si aucun nom n'est fourni, retourne une table de hachage associant tous les noms de modules complémentaires à leurs ID correspondants.

### Syntaxe

#### \_\_AllParameterSets

```
Get-RDMAddOnId [[-Name] <string>] [<CommonParameters>]
```

### Description

Récupère l'ID d'un module complémentaire spécifié par son nom. Si aucun nom n'est fourni, retourne une table de hachage associant tous les noms de modules complémentaires à leurs ID correspondants. L'ID de chaque module complémentaire est stocké dans la propriété ConnectionSubType de son entrée. La liste inclut tous les modules complémentaires, quel que soit leur statut d'activation.

### Exemples

#### Exemple 1

```powershell
PS C:\> $addon = New-RDMEntry -Name AddOnWinbox -Type AddOn
PS C:\> $addOn.AddOn.Host = '123.123.123.123'
PS C:\> $addOn.AddOn.Username = 'myUserName'
PS C:\> $addOn.ConnectionSubType = (Get-RDMAddOnId -Name Winbox)
PS C:\> Set-RDMEntryPassword -InputObject $addOn -Password $someSecureString
PS C:\> Set-RDMEntry -InputObject $addOn -Refresh
```

Créer une entrée Mikrotik Winbox.

#### Exemple 2

```powershell
PS C:\> $addonNameToIdMapping = Get-RDMAddOnId
PS C:\> $addOnIdToNameMapping = @{}
PS C:\> foreach ($name in $addOnNameToIdMapping.Keys) {
  $id = $addOnNameToIdMapping[$name]
  $addOnIdToNameMapping[$id] = $name
}
PS C:\> $addonsGrouped = Get-RDMEntry -Type AddOn | Group-Object ConnectionSubType
PS C:\> $result = foreach ($group in $addonsGrouped) {
    $type = $group.Name
    $count = $group.Count
    $name = $addOnIdToNameMapping[$type]
```

```
[PSCustomObject]@{
    Name  = $name
    Count = $count
}
```

}

```powershell
PS C:\> $result
```

Compter l'utilisation pour chaque type de module complémentaire.

### Paramètres

#### -Name

Nom de l'application du module complémentaire sans espaces

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette cmdlet prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'informations, tapez « Get-Help Get-RDMAddOnId -detailed ». Pour des informations techniques, tapez « Get-Help Get-RDMAddOnId -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmaddonid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
